com.maxmind.db

## Enum Decoder.Type

- java.lang.Object
- - java.lang.Enum<Decoder.Type>
  - - com.maxmind.db.Decoder.Type

- All Implemented Interfaces:
    Serializable, Comparable<Decoder.Type>
  Enclosing class:
    Decoder

      static enum Decoder.Type
      extends Enum<Decoder.Type>

  Enumeration of data types supported in MaxMind DB format.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ARRAY`
    `BOOLEAN`
    `BYTES`
    `CONTAINER`
    `DOUBLE`
    `END_MARKER`
    `EXTENDED`
    `FLOAT`
    `INT32`
    `MAP`
    `POINTER`
    `UINT128`
    `UINT16`
    `UINT32`
    `UINT64`
    `UTF8_STRING`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) static Decoder.Type[]` | `values`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Decoder.Type` | `fromControlByte(int b)`
    `static Decoder.Type` | `get(int i)`
    `static Decoder.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Decoder.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ARRAY

          public static final Decoder.Type ARRAY

    - #### BOOLEAN

          public static final Decoder.Type BOOLEAN

    - #### BYTES

          public static final Decoder.Type BYTES

    - #### CONTAINER

          public static final Decoder.Type CONTAINER

    - #### DOUBLE

          public static final Decoder.Type DOUBLE

    - #### END_MARKER

          public static final Decoder.Type END_MARKER

    - #### EXTENDED

          public static final Decoder.Type EXTENDED

    - #### FLOAT

          public static final Decoder.Type FLOAT

    - #### INT32

          public static final Decoder.Type INT32

    - #### MAP

          public static final Decoder.Type MAP

    - #### POINTER

          public static final Decoder.Type POINTER

    - #### UINT128

          public static final Decoder.Type UINT128

    - #### UINT16

          public static final Decoder.Type UINT16

    - #### UINT32

          public static final Decoder.Type UINT32

    - #### UINT64

          public static final Decoder.Type UINT64

    - #### UTF8_STRING

          public static final Decoder.Type UTF8_STRING

  - ### Field Detail

    - #### values

          static final Decoder.Type[] values

  - ### Method Detail

    - #### fromControlByte

          public static Decoder.Type fromControlByte(int b)

    - #### get

          public static Decoder.Type get(int i)

    - #### valueOf

          public static Decoder.Type valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static Decoder.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Decoder.Type c : Decoder.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared